crot.f(3)

NAME
crot.f

SYNOPSIS

  Functions/Subroutines
subroutine crot (N, CX, INCX, CY, INCY, C, S)
CROT applies a plane rotation with real cosine and complex sine to a pair of complex vectors.

Function/Subroutine Documentation

  subroutine crot (integer N, complex, dimension( * ) CX, integer INCX, complex, dimension( * ) CY, integer INCY, real C, complex S)

Purpose:

     CROT   applies a plane rotation, where the cos (C) is real and the
     sin (S) is complex, and the vectors CX and CY are complex.

Parameters
    N

              N is INTEGER
              The number of elements in the vectors CX and CY.

    CX

              CX is COMPLEX array, dimension (N)
              On input, the vector X.
              On output, CX is overwritten with C*X + S*Y.

    INCX

              INCX is INTEGER
              The increment between successive values of CX.  INCX <> 0.

    CY

              CY is COMPLEX array, dimension (N)
              On input, the vector Y.
              On output, CY is overwritten with -CONJG(S)*X + C*Y.

    INCY

              INCY is INTEGER
              The increment between successive values of CY.  INCX <> 0.

    C

              C is REAL

    S

              S is COMPLEX
              C and S define a rotation
                 [  C          S  ]
                 [ -conjg(S)   C  ]
              where C*C + S*CONJG(S) = 1.0.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 102 of file crot.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.